# variables:
#   SETTINGS_XML: # file variable containing settings.xml

build:
  stage: build
  image: maven:3.8.4-openjdk-11
  cache:
    - key: maven-setting
      paths:
        - .m2/
        - .mvn
  script:
    - mkdir -p .m2 
    - cp "$SETTINGS_XML" .m2/settings.xml
    - VERSION_TAG=$(mvn -q -Dexec.executable="echo" -Dexec.args='${project.version}' -s .m2/settings.xml org.codehaus.mojo:exec-maven-plugin:1.6.0:exec)
    - echo "VERSION=$VERSION_TAG" >> build.env
  artifacts:
    reports:
      dotenv: build.env
